> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password

> Reset password.



## OpenAPI

````yaml /spec/oas.yaml patch /users/pwreset
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /users/pwreset:
    patch:
      tags:
        - Users
      summary: Reset Password
      description: Reset password.
      operationId: users_reset_password
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PwResetQueryParameters'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PwResetResponseBodyModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    PwResetQueryParameters:
      type: object
      description: User password reset new password query parameters.
      properties:
        new_password:
          type: string
          description: New password.
        recaptcha:
          type: string
          description: Recaptcha answer.
        token:
          type: string
          description: Reset token.
      required:
        - new_password
        - recaptcha
        - token
    PwResetResponseBodyModel:
      type: object
      description: User password successfully reset response body.
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````